Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 57046 - wrong USB Host Controller Driver specified for ServerWorks
wrong USB Host Controller Driver specified for ServerWorks
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-03 14:33 EST by Chris Ricker
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-27 19:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2001-12-03 14:33:37 EST
On a quad Xeon Intel box (ServerWorks OSB4), the installer correctly uses usb-ohci, so our 
USB keyboard works for install.

After booting, however, the USB keyboard doesn't 
work because /etc/modules.conf doesn't have any USB entries in it.  It needs the usb-ohci 
controller automatically added....
Comment 1 Michael Fulbright 2001-12-03 15:25:17 EST
Sounds like a kudzu issue.
Comment 2 Bill Nottingham 2001-12-03 15:27:13 EST
lspci -v output?

Also, what's the output of 'kudzu -p -b pci'?
Comment 3 Chris Ricker 2001-12-03 18:41:59 EST
Sorry for not doing it as an attachment, but bugzilla's refusing to accept them
right now....  I think it's an issue with interoperation with Opera?

Script started on Mon Dec  3 16:33:47 2001
]0;root@quad:~[root@quad root]# lspci -v
00:00.0 Host bridge: ServerWorks CNB20HE Host Bridge (rev 21)
	Flags: fast devsel

00:00.1 Host bridge: ServerWorks CNB20HE Host Bridge (rev 01)
	Flags: bus master, medium devsel, latency 64

00:00.2 Host bridge: ServerWorks: Unknown device 0006
	Flags: medium devsel

00:00.3 Host bridge: ServerWorks: Unknown device 0006
	Flags: medium devsel

00:01.0 SCSI storage controller: Adaptec AIC-7880U (rev 02)
	Subsystem: Intel Corporation: Unknown device 4b52
	Flags: bus master, medium devsel, latency 64, IRQ 31
	I/O ports at 1000 [size=256]
	Memory at e4100000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=64K]
	Capabilities: [dc] Power Management version 1

00:04.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
	Subsystem: Intel Corporation 82559 Fast Ethernet LAN on Motherboard
	Flags: bus master, medium devsel, latency 64, IRQ 31
	Memory at e4101000 (32-bit, non-prefetchable) [size=4K]
	I/O ports at 1800 [size=64]
	Memory at e4000000 (32-bit, non-prefetchable) [size=1M]
	Expansion ROM at <unassigned> [disabled] [size=1M]
	Capabilities: [dc] Power Management version 2

00:0c.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC 215IIC
[Mach64 GT IIC] (rev 7a) (prog-if 00 [VGA])
	Subsystem: Intel Corporation: Unknown device 4b52
	Flags: bus master, stepping, medium devsel, latency 66
	Memory at e5000000 (32-bit, non-prefetchable) [size=16M]
	I/O ports at 1400 [size=256]
	Memory at e4102000 (32-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [5c] Power Management version 1

00:0f.0 ISA bridge: ServerWorks OSB4 South Bridge (rev 50)
	Subsystem: ServerWorks OSB4 South Bridge
	Flags: bus master, medium devsel, latency 0

00:0f.1 IDE interface: ServerWorks OSB4 IDE Controller (prog-if 8e [Master SecP
SecO PriP])
	Flags: bus master, medium devsel, latency 64
	I/O ports at 1858 [size=8]
	I/O ports at 1850 [size=4]
	I/O ports at 1840 [size=16]

00:0f.2 USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 04)
(prog-if 10 [OHCI])
	Subsystem: ServerWorks OSB4/CSB5 OHCI USB Controller
	Flags: bus master, medium devsel, latency 64, IRQ 10
	Memory at e4103000 (32-bit, non-prefetchable) [size=4K]

01:05.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug
Controller (rev 11)
	Subsystem: Intel Corporation: Unknown device 002c
	Flags: 66Mhz, medium devsel, IRQ 30
	Memory at e8802000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
	Capabilities: [68] PCI-X non-bridge device.

01:06.0 SCSI storage controller: Adaptec 7899P (rev 01)
	Subsystem: Adaptec: Unknown device 8086
	Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 24
	BIST result: 00
	I/O ports at 1c00 [size=256]
	Memory at e8800000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2

01:06.1 SCSI storage controller: Adaptec 7899P (rev 01)
	Subsystem: Adaptec: Unknown device 8086
	Flags: bus master, 66Mhz, medium devsel, latency 64, IRQ 24
	BIST result: 00
	I/O ports at 7000 [size=256]
	Memory at e8801000 (64-bit, non-prefetchable) [size=4K]
	Expansion ROM at <unassigned> [disabled] [size=128K]
	Capabilities: [dc] Power Management version 2

07:07.0 PCI Hot-plug controller: Compaq Computer Corporation PCI Hotplug
Controller (rev 11)
	Subsystem: Intel Corporation: Unknown device 002d
	Flags: 66Mhz, medium devsel, IRQ 30
	Memory at f5800000 (32-bit, non-prefetchable) [size=256]
	Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
	Capabilities: [68] PCI-X non-bridge device.

07:0e.0 PCI bridge: Intel Corporation: Unknown device 9620 (rev 02) (prog-if 00
[Normal decode])
	Flags: bus master, medium devsel, latency 64
	Bus: primary=07, secondary=09, subordinate=09, sec-latency=64
	Capabilities: [68] Power Management version 2

07:0e.1 I2O: Intel Corporation: Unknown device 9641 (rev 02) (prog-if 01)
	Subsystem: Intel Corporation: Unknown device 0001
	Flags: bus master, medium devsel, latency 64, IRQ 19
	Memory at f8000000 (32-bit, prefetchable) [size=64M]
	Expansion ROM at <unassigned> [disabled] [size=64K]
	Capabilities: [80] Power Management version 2

]0;root@quad:~[root@quad root]# kudzu -p -b pci
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|CNB20HE"
vendorId: 1166
deviceId: 0008
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|CNB20HE"
vendorId: 1166
deviceId: 0008
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|unknown device 1166:0006"
vendorId: 1166
deviceId: 0006
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|unknown device 1166:0006"
vendorId: 1166
deviceId: 0006
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|OSB4"
vendorId: 1166
deviceId: 0200
subVendorId: 1166
subDeviceId: 0200
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "ServerWorks|unknown device 1166:0211"
vendorId: 1166
deviceId: 0211
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Compaq|PCI Hotplug Controller"
vendorId: 0e11
deviceId: a0f7
subVendorId: 8086
subDeviceId: 002c
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Compaq|PCI Hotplug Controller"
vendorId: 0e11
deviceId: a0f7
subVendorId: 8086
subDeviceId: 002d
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corporation|unknown device 8086:9620"
vendorId: 8086
deviceId: 9620
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: NETWORK
bus: PCI
detached: 0
device: eth
driver: eepro100
desc: "Intel Corporation|82557 [Ethernet Pro 100]"
vendorId: 8086
deviceId: 1229
subVendorId: 8086
subDeviceId: 3000
pciType: 1
-
class: SCSI
bus: PCI
detached: 0
driver: aic7xxx
desc: "Adaptec|AIC-7880U"
vendorId: 9004
deviceId: 8078
subVendorId: 8086
subDeviceId: 4b52
pciType: 1
-
class: SCSI
bus: PCI
detached: 0
driver: aic7xxx
desc: "Adaptec|7899P"
vendorId: 9005
deviceId: 00cf
subVendorId: 9005
subDeviceId: 8086
pciType: 1
-
class: SCSI
bus: PCI
detached: 0
driver: aic7xxx
desc: "Adaptec|7899P"
vendorId: 9005
deviceId: 00cf
subVendorId: 9005
subDeviceId: 8086
pciType: 1
-
class: SCSI
bus: PCI
detached: 0
driver: i2o_block
desc: "Intel Corporation|Integrated RAID"
vendorId: 8086
deviceId: 9641
subVendorId: 8086
subDeviceId: 0001
pciType: 1
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:ATI Mach64 3D RAGE II
desc: "ATI|3D Rage IIC 215IIC [Mach64 GT IIC]"
vendorId: 1002
deviceId: 4756
subVendorId: 8086
subDeviceId: 4b52
pciType: 1
-
class: USB
bus: PCI
detached: 0
driver: usb-ohci
desc: "ServerWorks|unknown device 1166:0220"
vendorId: 1166
deviceId: 0220
subVendorId: 1166
subDeviceId: 0220
pciType: 1
]0;root@quad:~[root@quad root]# exit
exit

Script done on Mon Dec  3 16:34:00 2001
Comment 4 Bill Nottingham 2002-01-03 22:02:14 EST
Weird. It shows it fine after install. Was *anything* added correctly to
/etc/modules.conf during the install?

Did you install using a different kernel version than what was in the install image?
Comment 5 Chris Ricker 2002-01-08 16:49:10 EST
modules.conf was empty after install

I installed using the cdrom, if that's what you're asking.
Comment 6 Bill Nottingham 2002-03-13 18:36:53 EST
That's bizarre. I really don't understand how this can happen.
Comment 7 Bill Nottingham 2002-07-21 22:53:03 EDT
I'm still rather confused as to how this could happen. Out of curiousity, did
this start behaving better in later releases?
Comment 8 Chris Ricker 2002-07-24 16:15:37 EDT
that machine's in production and hasn't had anything newer tried on it.

I'll follow up when we upgrade it, but that's not likely to be soon
Comment 9 Bill Nottingham 2003-02-27 19:05:34 EST
Please reopen if this comes back.

Note You need to log in before you can comment on or make changes to this bug.